Package io.strimzi.systemtest.utils

## Class ClientUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.ClientUtils

-     public class ClientUtils
      extends Object

  ClientUtils class, which provides static methods for the all type clients
  See Also:
    `OauthExternalKafkaClient`, `TracingExternalKafkaClient`, `BasicExternalKafkaClient`, `InternalKafkaClient`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `generateRandomConsumerGroup()` | Method which generates random consumer group name
    `static void` | `waitForClientSuccess​(String jobName, String namespace, int messageCount)` |
    `static void` | `waitTillContinuousClientsFinish​(String producerName, String consumerName, String namespace, int messageCount)` |
    `static void` | `waitUntilClientReceivedMessagesTls​(KafkaClientOperations kafkaClient, int exceptedMessages)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### waitUntilClientReceivedMessagesTls

          public static void waitUntilClientReceivedMessagesTls​(KafkaClientOperations kafkaClient,
                                                                int exceptedMessages)
                                                         throws Exception

      Throws:
        `Exception`

    - #### waitTillContinuousClientsFinish

          public static void waitTillContinuousClientsFinish​(String producerName,
                                                             String consumerName,
                                                             String namespace,
                                                             int messageCount)

    - #### waitForClientSuccess

          public static void waitForClientSuccess​(String jobName,
                                                  String namespace,
                                                  int messageCount)

    - #### generateRandomConsumerGroup

          public static String generateRandomConsumerGroup()

      Method which generates random consumer group name
      Returns:
        consumer group name with pattern: my-consumer-group-*-*